%global srcname oslo-utils

Name:           python-%{srcname}
Version:        3.16.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Utility library

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.utils
Source0:        https://pypi.io/packages/source/o/oslo.utils/oslo.utils-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
The oslo.utils library contain utilities for OpenStack.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Utility library
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
The oslo.utils library contain utilities for OpenStack.

This is the Python 3 version of the package.

%prep
%setup -q -n oslo.utils-%{version}

# Remove bundled egg-info
rm -rf oslo.utils.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/oslo*

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Mon Jan 02 2017 bcornec <bcornec> 3.16.0-1.mga6
+ Revision: 1079658
- Update to upstream python-oslo-utils 3.16.0

* Fri Aug 26 2016 bcornec <bcornec> 3.7.0-1.mga6
+ Revision: 1048967
- update to upstream python-oslo-utils 3.7.0

* Fri Dec 18 2015 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 911562
- new version: 3.2.0

* Wed Oct 14 2015 daviddavid <daviddavid> 2.4.0-2.mga6
+ Revision: 891102
- add python3 package
- use new python macros
- update Summary
- add doc files

* Mon Aug 31 2015 fwang <fwang> 2.4.0-1.mga6
+ Revision: 871469
- 2.4.0

* Mon Feb 23 2015 bcornec <bcornec> 1.3.0-1.mga5
+ Revision: 816650
- Update to upstream 1.3.0
- Upload python oslo components for python keystone client support
- Created package structure for python-oslo-utils.

